<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classsunsensor_1_1_fine_sun_sensor.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">sunsensor.FineSunSensor Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a92cf4079fa6994c22dedb86e7b72939c">__init__</a>(self, str name, np.ndarray position, np.ndarray orientation, str database, int mode, outputs, float accuracy, float precision, int fov, float max_current, float sampling_rate, bool digital=False, bool active=True)</td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#aa5cdf5b8ff483170193dbc62818296a9">accuracy</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#af43bf2dc117ed4db49ec3e8a1da9d75b">active</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#af65e95360d3a44ffb5f9ad5019abfb54">column_names</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a17852906d3e2e4dee21653b3a290aa36">database</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a0deebac6e8f171bc7ba7e75f791b89e9">digital</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a62694928d2fbbf7b1a449e6308e88dbe">fov</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a68cd494eda7ab7bd6019bc13b41c28a3">get_fine_current_noise</a>(self, current_ideal)</td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#af6798357d9b2e95c9bdbf7877c2130cb">max_current</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#aa235d558aed8e938a5628561b8c2e1e7">measure_fine_sun_sensor_angles</a>(self, sat_to_sun, position)</td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a65efa3a4ca173cea66ffd42229677669">mode</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a17fe02dfaaa13ff8032a8b685b215592">output</a>(self, float sim_time)</td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a1191aac5ac594ff4957212c57b8893aa">precision</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#abf373e04e327e45fda75325dfb1832bd">run</a>(self)</td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#ad0b1050697d4bdcced96dd89fc55c809">sampling_rate</a></td><td class="entry"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">sunsensor.FineSunSensor</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
